# Update

Launch stage: Beta

`PATCH /api/2.0/identity/workspace-identity-details/{principal_id}`

Updates a workspace identity detail for a principal.

API scopes: identity

## Path parameters

- `principal_id` (int64, optional)
  Required. ID of the principal in <Databricks>.

## Query parameters

- `update_mask` (string, optional)
  Required. The list of fields to update.

## Request body

- `workspace_identity_detail` (object, optional)
  Required. Workspace identity detail to be updated in <Databricks>.
  - `principal_id` (int64, optional)
    The internal ID of the principal (user/sp/group) in <Databricks>.
  - `principal_type` (string, optional)
    The type of the principal (user/service principal/group).
    Possible values: `PRINCIPAL_TYPE_UNSPECIFIED`, `USER`, `SERVICE_PRINCIPAL`, `GROUP`
  - `workspace_identity_status` (string, optional)
    The activity status of an identity in a <Databricks> workspace.
    Possible values: `STATE_UNSPECIFIED`, `ACTIVE`, `INACTIVE`
  - `assignment_type` (string, optional)
    The type of assignment the principal has to the workspace (direct or indirect).
    Possible values: `ASSIGNMENT_TYPE_UNSPECIFIED`, `DIRECT`, `INDIRECT`

## Returns

Returns the WorkspaceIdentityDetail object.

## Response

```json
{
  "principal_id": 0,
  "principal_type": "string",
  "workspace_identity_status": "string",
  "assignment_type": "string"
}
```

